-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.51b-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema ejemplo_prototipo
--

CREATE DATABASE IF NOT EXISTS ejemplo_prototipo;
USE ejemplo_prototipo;

--
-- Definition of table `evaluaciones`
--

DROP TABLE IF EXISTS `evaluaciones`;
CREATE TABLE `evaluaciones` (
  `id` int(11) NOT NULL auto_increment,
  `nombre_item` varchar(64) default NULL,
  `nota_item` int(11) default NULL,
  `ponderacion` int(11) default NULL,
  `Prototipo_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `fk_Evaluaciones_Prototipo` (`Prototipo_id`),
  CONSTRAINT `fk_Evaluaciones_Prototipo` FOREIGN KEY (`Prototipo_id`) REFERENCES `prototipo` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `evaluaciones`
--

/*!40000 ALTER TABLE `evaluaciones` DISABLE KEYS */;
INSERT INTO `evaluaciones` (`id`,`nombre_item`,`nota_item`,`ponderacion`,`Prototipo_id`) VALUES 
 (1,'Funcionalidad',70,25,1),
 (2,'Uso BD',70,50,1),
 (3,'Belleza',70,25,1),
 (4,'Funcionalidad',10,50,2),
 (5,'Belleza',70,25,2),
 (6,'Uso BD',10,25,2);
/*!40000 ALTER TABLE `evaluaciones` ENABLE KEYS */;


--
-- Definition of table `probadores`
--

DROP TABLE IF EXISTS `probadores`;
CREATE TABLE `probadores` (
  `rut` int(11) NOT NULL,
  `nombre` varchar(64) default NULL,
  PRIMARY KEY  (`rut`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `probadores`
--

/*!40000 ALTER TABLE `probadores` DISABLE KEYS */;
INSERT INTO `probadores` (`rut`,`nombre`) VALUES 
 (19,'Juan Perez'),
 (222222222,'Pedro Gonzalez');
/*!40000 ALTER TABLE `probadores` ENABLE KEYS */;


--
-- Definition of table `prototipo`
--

DROP TABLE IF EXISTS `prototipo`;
CREATE TABLE `prototipo` (
  `id` int(11) NOT NULL auto_increment,
  `nombre_grupo` varchar(64) NOT NULL,
  `nombre_integrante1` varchar(64) NOT NULL,
  `nombre_integrante2` varchar(64) default NULL,
  `nombre_empresa` varchar(64) default NULL,
  `nombre_proceso` varchar(64) default NULL,
  `nota_final` int(11) default NULL,
  `probador` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `prototipo`
--

/*!40000 ALTER TABLE `prototipo` DISABLE KEYS */;
INSERT INTO `prototipo` (`id`,`nombre_grupo`,`nombre_integrante1`,`nombre_integrante2`,`nombre_empresa`,`nombre_proceso`,`nota_final`,`probador`) VALUES 
 (1,'Ayudantes PM','Diego Diaz','Esteban Allende','Universidad de Chile','Evaluacion de Prototipos',70,222222222),
 (2,'Don Quijote','Alonso Quijano','Sancho Panza','Empresas Quijote','Ataques a molinos',25,19);
/*!40000 ALTER TABLE `prototipo` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
